Announcement Announcement Module
Collapse
No announcement yet.
With which version of STS will Roo 1.1.0M1 be compliant? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • With which version of STS will Roo 1.1.0M1 be compliant?

    Hello,

    I am building from trunk and tried to use the resulting Roo in STS. Before migration to Felix, that worked well. But now I get the exception below.

    Is Spring 1.1.0M1 (when released) planned to work with current STS release? Or are there any changes necessary in STS? (in which version?)

    Best Regards,
    Stefan.

    java.lang.NoClassDefFoundError: org/springframework/util/ReflectionUtils$MethodCallback
    at java.lang.Class.getDeclaredConstructors0(Native Method)
    at java.lang.Class.privateGetDeclaredConstructors(Cla ss.java:2389)
    at java.lang.Class.getConstructor0(Class.java:2699)
    at java.lang.Class.getDeclaredConstructor(Class.java: 1985)
    at com.springsource.sts.roo.ui.internal.RooShellTab$6 .run(RooShellTab.java:455)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.j ava:55)
Working...
X